Package fr.gouv.vitam.logbook.common.model.coherence

# Class LogbookCheckError

java.lang.Object
fr.gouv.vitam.logbook.common.model.coherence.LogbookCheckError

All Implemented Interfaces:
  `Serializable`

public class LogbookCheckError extends Object implements Serializable
Description of LogbookCheckResult model.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogbookCheckError()`
  `LogbookCheckError(String operationId, String lfcId, String checkedProperty, String savedLogbookMsg, String expectedLogbookMsg)`
  LogbookCheckResult constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getCheckedProperty()`
  `String`
  `getExpectedLogbookMsg()`
  `String`
  `getLfcId()`
  `String`
  `getOperationId()`
  `String`
  `getSavedLogbookMsg()`
  `int`
  `hashCode()`
  `void`
  `setCheckedProperty(String checkedProperty)`
  `void`
  `setExpectedLogbookMsg(String expectedLogbookMsg)`
  `void`
  `setLfcId(String lfcId)`
  `void`
  `setOperationId(String operationId)`
  `void`
  `setSavedLogbookMsg(String savedLogbookMsg)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LogbookCheckError

    public LogbookCheckError()

  - ### LogbookCheckError

    public LogbookCheckError(String operationId, String lfcId, String checkedProperty, String savedLogbookMsg, String expectedLogbookMsg)
    LogbookCheckResult constructor.
    Parameters:
      `operationId` -
      `lfcId` -
      `checkedProperty` -
      `savedLogbookMsg` -
      `expectedLogbookMsg` -

- ## Method Details

  - ### getOperationId

    public String getOperationId()

  - ### setOperationId

    public void setOperationId(String operationId)

  - ### getLfcId

    public String getLfcId()

  - ### setLfcId

    public void setLfcId(String lfcId)

  - ### getCheckedProperty

    public String getCheckedProperty()

  - ### setCheckedProperty

    public void setCheckedProperty(String checkedProperty)

  - ### getSavedLogbookMsg

    public String getSavedLogbookMsg()

  - ### setSavedLogbookMsg

    public void setSavedLogbookMsg(String savedLogbookMsg)

  - ### getExpectedLogbookMsg

    public String getExpectedLogbookMsg()

  - ### setExpectedLogbookMsg

    public void setExpectedLogbookMsg(String expectedLogbookMsg)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`